# Class DocumentBackgroundAttributes

#### Hierarchy

- XmlAttributeComponent<{ color?: string; themeColor?: string; themeShade?: string; themeTint?: string }>
  - DocumentBackgroundAttributes

- Defined in src/file/document/document-background/document-background.ts:28

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new DocumentBackgroundAttributes(properties: { color?: string; themeColor?: string; themeShade?: string; themeTint?: string }): DocumentBackgroundAttributes

- #### Parameters

  - ##### properties: { color?: string; themeColor?: string; themeShade?: string; themeTint?: string }

    - ##### `Optional` `Readonly` color?: string

    - ##### `Optional` `Readonly` themeColor?: string

    - ##### `Optional` `Readonly` themeShade?: string

    - ##### `Optional` `Readonly` themeTint?: string

  #### Returns DocumentBackgroundAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc